connect 'jdbc:rmi://localhost:1099/jdbc:cloudscape:CloudscapeDB;create=true'
;
drop table lineitem
;
drop table orderstatus
;
drop table orders
;
drop table account
;
drop table message
;
drop table purchaseorder
;
drop table inventory
;
drop table item
;
drop table product
;
drop table category
;
drop table supplier
;
drop table sequence
;

drop table log;

create table supplier (
    suppid int not null,
    name varchar(80) null,
    status char(2) not null,
    addr1 varchar(80) null,
    addr2 varchar(80) null,
    city varchar(80) null,
    state varchar(80) null,
    zip char(5) null,
    phone varchar(80) null,
    constraint pk_supplier primary key (suppid)
)
;

create table account (
    userid varchar(80) not null,
    email varchar(80) not null,
    firstname varchar(80) not null,
    lastname varchar(80) not null,
    status char(2)  null,
    addr1 varchar(80) not null,
    addr2 varchar(40) null,
    city varchar(80) not  null,
    state varchar(80) not null,
    zip varchar(20) not null,
    country varchar(20) not null,
    phone varchar(80) not null,
    constraint pk_account primary key (userid)
)
;

create table orders (
    orderid int not null,
    userid varchar(80) not null,
    orderdate date not null,
    shipaddr1 varchar(80) not null,
    shipaddr2 varchar(80) null,
    shipcity varchar(80) not null,
    shipstate varchar(80) not null,
    shipzip varchar(20) not null,
    shipcountry varchar(20) not null,
    billaddr1 varchar(80) not null,
    billaddr2 varchar(80)  null,
    billcity varchar(80) not null,
    billstate varchar(80) not null,
    billzip varchar(20) not null,
    billcountry varchar(20) not null,
    courier varchar(80) not null,
    totalprice decimal(10, 2) not null,
    billtofirstname varchar(80) not null,
    billtolastname varchar(80) not null,
    shiptofirstname varchar(80) not null,
    shiptolastname varchar(80) not null,
    creditcard varchar(80) not null,
    exprdate char(7) not null,
    cardtype varchar(80) not null,
    constraint pk_orders primary key (orderid),
    constraint fk_orders_1 foreign key (userid)
        references account (userid)
)
;

create table orderstatus (
    orderid int not null,
    linenum int not null,
    updatedate date not null,
    status char(2) not null,
    constraint pk_orderstatus primary key (orderid, linenum),
        constraint fk_orderstatus_1 foreign key (orderid)
        references orders (orderid)
)
;

create table category (
    catid char(10) not null,
    name varchar(80) null,
    descn varchar(255) null,
    constraint pk_category primary key (catid)
)
;

create table product (
    productid char(10) not null,
    category char(10) not null,
    name varchar(80) null,
    descn varchar(255) null,
    constraint pk_product primary key (productid),
        constraint fk_product_1 foreign key (category)
        references category (catid)
)
;

create table item (
    itemid char(10) not null,
    productid char(10) not null,
    listprice decimal(10,2) null,
    unitcost decimal(10,2) null,
    supplier int null,
    status char(2) null,
    attr1 varchar(80) null,
    attr2 varchar(80) null,
    attr3 varchar(80) null,
    attr4 varchar(80) null,
    attr5 varchar(80) null,
    constraint pk_item primary key (itemid),
        constraint fk_item_1 foreign key (productid)
        references product (productid),
        constraint fk_item_2 foreign key (supplier)
        references supplier (suppid)
)
;
create table inventory (
    itemid char(10) not null,
    qty int not null
)
;

create table log (
    messageid char(30) not null,
    type int not null,
    message char(700) not null,
    constraint pk_log primary key (messageid)
)
;

create table message (
    messageid char(30) not null,
    itemid char(30) not null,
    constraint pk_message primary key (messageid)
)
;

create table purchaseorder (
    barcodeid char(30) not null,
    url char(50) not null,
    itemid char(30) not null,
    quantity int not null,
    unitcost decimal(10,2) null,
    totalcost decimal(10,2) null,
    status char(30) not null,
    constraint pk_purchaseorder primary key (barcodeid)
)
;

create table lineitem (
    orderid int not null,
    linenum int not null,
    itemid char(10) not null,
    quantity int not null,
    unitprice decimal(10,2) not null,
    constraint pk_lineitem primary key (orderid, linenum),
        constraint fk_lineitem_1 foreign key (orderid)
        references orders (orderid)
)
;
create table sequence (
    seqnum int not null
)
;
INSERT INTO sequence values (1)
;

INSERT INTO account VALUES('j2ee','yourname@yourdomain.com','ABC', 'XYZ', 'OK', '901 San Antonio Road',
'MS UCUP02-206', 'Palo Alto', 'CA','USA', '94303', '555-555-5555')
;
INSERT INTO category VALUES ('FISH','Fish','<image src="../images/fish_icon.gif"><font size="5"
color="blue"> Fish</font>')
;
INSERT INTO category VALUES ('DOGS','Dogs','<image src="../images/dogs_icon.gif"><font size="5"
color="blue"> Dogs</font>')
;
INSERT INTO category VALUES ('REPTILES','Reptiles','<image src="../images/reptiles_icon.gif"><font size="5"
color="blue">
Reptiles</font>')
;
INSERT INTO category VALUES ('CATS','Cats','<image src="../images/cats_icon.gif"><font size="5"
color="blue"> Cats</font>')
;
INSERT INTO category VALUES ('BIRDS','Birds','<image src="../images/birds_icon.gif"><font size="5"
color="blue"> Birds</font>')
;

INSERT INTO product VALUES ('FI-SW-02','FISH','Tiger Shark','<image src="../images/jfish1.gif">Salt Water
fish from Australia')
;
INSERT INTO product VALUES ('K9-BD-01','DOGS','Bulldog','<image src="../images/jdog1.gif">Friendly dog from
England')
;
INSERT INTO product VALUES ('RP-SN-01','REPTILES','Rattlesnake','<image src="../images/jsnake1.gif">Doubles
as a watch dog')
;
INSERT INTO product VALUES ('RP-LI-02','REPTILES','Frog','<image src="../images/jfrog1.gif">Jumpy
green friend')
;
INSERT INTO product VALUES ('FL-DSH-01','CATS','Manx','<image src="../images/jcat1.gif">Great for reducing
mouse populations')
;
INSERT INTO product VALUES ('FL-DLH-02','CATS','Rat','<image src="../images/jrat1.gif">Cat Food for lazy cats ')
;
INSERT INTO product VALUES ('AV-CB-01','BIRDS','Amazon Parrot','<image src="../images/jbird1.gif">Great
companion for up to 75 years')
;

INSERT INTO supplier VALUES (1,'XYZ Pets','AC','600 Avon Way','','Los
Angeles','CA','94024','212-947-0797')
;
INSERT INTO supplier VALUES (2,'ABC Pets','AC','700 Abalone Way','','San Francisco
','CA','94024','415-947-0797')
;

INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-1','FI-SW-02',18.50,12.00,1,'P','Toothless')
;
INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-2','K9-BD-01',18.50,12.00,1,'P','Male Adult')
;
INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-3','RP-SN-01',18.50,12.00,1,'P','Venomless')
;
INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-4','RP-LI-02',18.50,12.00,1,'P','Green Adult')
;
INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-5','FL-DSH-01',58.50,12.00,1,'P','Tailless')
;
INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-6','FL-DLH-02',93.50,12.00,1,'P','Adult Female')
;
INSERT INTO  item (itemid, productid, listprice, unitcost, supplier, status, attr1) VALUES
    ('EST-7','AV-CB-01',193.50,92.00,1,'P','Adult Male')
;

INSERT INTO inventory (itemid, qty ) VALUES ('EST-1',1);
INSERT INTO inventory (itemid, qty ) VALUES ('EST-2',1);
INSERT INTO inventory (itemid, qty ) VALUES ('EST-3',1);
INSERT INTO inventory (itemid, qty ) VALUES ('EST-4',1);
INSERT INTO inventory (itemid, qty ) VALUES ('EST-5',1);
INSERT INTO inventory (itemid, qty ) VALUES ('EST-6',1);
INSERT INTO inventory (itemid, qty ) VALUES ('EST-7',1);
