/*
 * $Id: UUIDGenerator.java,v 1.4 2000/09/20 05:23:25 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.customer.order.ejb;

import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.sun.j2ee.blueprints.customer.order.ejb.OrderDAOException;

/**
 * This class is used to generate unique primary
 * keys for OrderEJB. Used by the OrderDAOCS.java
 *
 * @see OrderDAOCS
 */
public class UUIDGenerator implements java.io.Serializable {

    /**
     * This method gets the next sequence number
     * and updates the sequence number. A database
     * is used to store the sequence number.
     *
     * @return  the next sequence number
     */
    public static int nextSeqNum(Connection dbConnection) throws
                                                    OrderDAOException {

        int seqNum = 0;

        try {
            Statement s = dbConnection.createStatement();
            ResultSet rs = s.executeQuery(
                            "SELECT seqnum FROM sequence for update");
            if(rs.next())
                seqNum = rs.getInt(1);
            int resultCount = s.executeUpdate(
                                "update sequence set seqnum = seqnum + 1");
            if ( resultCount != 1 )
                throw new OrderDAOException("Error while updating sequence");
        } catch(SQLException se) {
               throw new OrderDAOException(
                        "SQL Exception while updating sequence : \n" + se);
        }
        return (seqNum);
    }
}

